Bug 1446719 - [RFE] Refreshing a manifest should re-generate entitlement certificates.
Summary: [RFE] Refreshing a manifest should re-generate entitlement certificates.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: Unspecified
Assignee: Eric Helms
QA Contact: Bruno Rocha
URL:
Whiteboard:
Depends On:
Blocks: 1397762
TreeView+ depends on / blocked
 
Reported: 2017-04-28 16:26 UTC by pm-sat@redhat.com
Modified: 2020-08-13 09:08 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1393580
Environment:
Last Closed: 2018-02-21 12:39:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 17970 0 None None None 2017-04-28 16:27:03 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Comment 2 Bruno Rocha 2017-09-21 20:56:28 UTC
Verified with steps:


1) Import a manifest via UI
2) ssh to the sat and cd /tmp. note the new zip file (something like 0.5102177673298101.zip)
3) mkdir v1;cp 0.5102177673298101.zip v1; cd v1
4) unzip 0.5102177673298101.zip; unzip consumer_export.zip
5) cd export/entitlements and you should see the certs now

6) Refresh manifest in the UI and you should see a new zip in /tmp
7) mkdir v2;cp <newzip>.zip v2; cd v2
8) unzip <newzip>.zip; unzip consumer_export.zip
9) cd export/entitlements and you should see the certs now
10) diff /tmp/v1/export/entitlements /tmp/v2/export/entitlements 



[root@cloud-qe-15 v2]# diff --brief /tmp/v1/export/entitlements /tmp/v2/export/entitlements 
Files /tmp/v1/export/entitlements/8a85f9835cc6364c015cc6672b555483.json and /tmp/v2/export/entitlements/8a85f9835cc6364c015cc6672b555483.json differ
Files /tmp/v1/export/entitlements/8a85f9845cc61653015cc667307677c5.json and /tmp/v2/export/entitlements/8a85f9845cc61653015cc667307677c5.json differ
Files /tmp/v1/export/entitlements/8a85f9865cc59463015cc66720350718.json and /tmp/v2/export/entitlements/8a85f9865cc59463015cc66720350718.json differ
Files /tmp/v1/export/entitlements/8a85f9865cc59463015cc668c2570b2e.json and /tmp/v2/export/entitlements/8a85f9865cc59463015cc668c2570b2e.json differ
Files /tmp/v1/export/entitlements/8a85f9875cc65405015cc667253e1746.json and /tmp/v2/export/entitlements/8a85f9875cc65405015cc667253e1746.json differ


Version:
[root@cloud-qe-15 v2]# rpm -q satellite
satellite-6.3.0-18.0.beta.el7sat.noarch

Comment 5 errata-xmlrpc 2018-02-21 12:39:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.